Bug 165012 - /bin/rpm dynamically linked to /usr/lib/lib*
/bin/rpm dynamically linked to /usr/lib/lib*
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On: 165080
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 11:03 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 21:50:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-03 11:03:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
/bin/rpm is dynamically linked against several libs in /usr/lib:

ldd /bin/rpm
        linux-gate.so.1 =>  (0x00ea1000)
        librpm-4.4.so => /usr/lib/librpm-4.4.so (0x00970000)
        librpmdb-4.4.so => /usr/lib/librpmdb-4.4.so (0x00592000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x002c5000)
        librpmio-4.4.so => /usr/lib/librpmio-4.4.so (0x00d21000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00e16000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00f43000)
        libelf.so.1 => /usr/lib/libelf.so.1 (0x00790000)
        libbeecrypt.so.6 => /usr/lib/libbeecrypt.so.6 (0x00111000)
        libm.so.6 => /lib/libm.so.6 (0x0081c000)
        libneon.so.24 => /usr/lib/libneon.so.24 (0x00de1000)
        libssl.so.5 => /lib/libssl.so.5 (0x00b85000)
        libcrypto.so.5 => /lib/libcrypto.so.5 (0x0015b000)
        libdl.so.2 => /lib/libdl.so.2 (0x00268000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00bc7000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x0026c000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x002d6000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00283000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00d13000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x002a7000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x002aa000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x0072f000)
        librt.so.1 => /lib/librt.so.1 (0x00ca1000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00348000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0x0035a000)
        libc.so.6 => /lib/libc.so.6 (0x0036c000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00496000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00840000)
        /lib/ld-linux.so.2 (0x004a8000)

This is a severe violation of the FHS (/bin/ programs are supposed to be runable without /usr) and renders rpm unusable should /usr be non-available.


Version-Release number of selected component (if applicable):
rpm-4.4.1-22

How reproducible:
Always

Steps to Reproduce:
1. su -
2. mv /usr /usr2
3. rpm -q rpm

  

Actual Results:  # rpm -q bash
rpm: error while loading shared libraries: librpm-4.4.so: cannot open shared object file: No such file or directory


Expected Results:  /bin/rpm should remain functional.



Additional info:
Comment 1 Jeff Johnson 2005-08-26 21:50:14 EDT
rpm-4.4.3-0.4 is statically linked again again again. We'll see if that can be maintained ...

Note You need to log in before you can comment on or make changes to this bug.